API reference
All operations
LEADS

Creates a new lead from external source.

POST/api/v2/leads/external

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Request body

application/jsonrequired

The lead data to create.

CreateLeadExternalRequest
  • leadIdinteger · int32
  • companyNamestringnullable
  • namestringnullable
  • phonestringnullable
  • emailstringnullable
  • descriptionstringnullable
  • address1stringnullable
  • address2stringnullable
  • citystringnullable
  • statestringnullable
  • zipstringnullable
  • countystringnullable
  • countrystringnullable
  • cellstringnullable
  • commentsstringnullable
  • companyPhonestringnullable
  • webstringnullable
  • faxstringnullable
  • titlestringnullable
  • positionstringnullable
  • departmentstringnullable
  • ownerEmailstringnullable
  • sourcestringnullable
  • makestringnullable
  • modelstringnullable
  • equipmentTypestringnullable
  • branchstringnullable
  • sourceUrlstringnullable
  • sourcePagestringnullable

Responses

Lead created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

datainteger
integer · int32